## sphinxcontrib-htmlhelp 2.0.0

=== Makefile ===
PYTHON ?= python3

.PHONY: all
all: clean-pyc clean-backupfiles style-check type-check test

.PHONY: clean
clean: clean-pyc clean-pycache clean-patchfiles clean-backupfiles clean-testfiles clean-buildfiles clean-distfiles clean-mypyfiles

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +

.PHONY: clean-pycache
clean-pycache:
	find . -name __pycache__ -exec rm -rf {} +

.PHONY: clean-patchfiles
clean-patchfiles:
	find . -name '*.orig' -exec rm -f {} +
	find . -name '*.rej' -exec rm -f {} +

.PHONY: clean-backupfiles
clean-backupfiles:
	find . -name '*~' -exec rm -f {} +
	find . -name '*.bak' -exec rm -f {} +
	find . -name '*.swp' -exec rm -f {} +
	find . -name '*.swo' -exec rm -f {} +

.PHONY: clean-testfiles
clean-testfiles:
	rm -rf tests/.coverage
	rm -rf tests/build
	rm -rf .tox/
	rm -rf .cache/

.PHONY: clean-buildfiles
clean-buildfiles:
	rm -rf build

.PHONY: clean-distfiles
clean-dist:files
	rm -rf dist/

.PHONY: clean-mypyfiles
clean-mypyfiles:
	rm -rf .mypy_cache/

.PHONY: style-check
style-check:
	@flake8

.PHONY: type-check
type-check:
	mypy sphinxcontrib

.PHONY: test
test:
	@$(PYTHON) -m pytest -v $(TEST)

=== debian/changelog ===
sphinxcontrib-htmlhelp (2.0.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 20:05:34 +0100

sphinxcontrib-htmlhelp (2.0.0-2) unstable; urgency=medium

  * [d336f8b] drop tag_date in egg_info to make build reproducible.
    Thanks to Chris Lamb <lamby@debian.org> (Closes: #1000533)
  * [7979254] enable superficial autopkgtest-pkg-python

 -- Joseph Nahmias <jello@debian.org>  Thu, 25 Nov 2021 07:38:23 -0500

sphinxcontrib-htmlhelp (2.0.0-1) unstable; urgency=medium

  * Initial release

 -- Joseph Nahmias <jello@debian.org>  Thu, 28 Oct 2021 23:34:32 -0400

=== debian/control ===
Source: sphinxcontrib-htmlhelp
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Joseph Nahmias <jello@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-docutils <!nocheck>,
 python3-sphinx <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://github.com/sphinx-doc/sphinxcontrib-htmlhelp
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinxcontrib-htmlhelp
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinxcontrib-htmlhelp.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-sphinxcontrib.htmlhelp
Architecture: all
Depends: python3-docutils, python3-sphinx, ${python3:Depends}, ${misc:Depends}
Description: sphinx extension which renders HTML help files
 This package provides an extension to the Python sphinx documentation system
 which outputs HTML help files.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=sphinxcontrib.htmlhelp

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%sphinxcontrib-htmlhelp-$1.tar.gz%" \
   https://github.com/sphinx-doc/sphinxcontrib-htmlhelp/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## sphinxcontrib-htmlhelp 2.1.0

=== Makefile ===
--- 
+++ 
@@ -47,7 +47,7 @@
 
 .PHONY: style-check
 style-check:
-	@flake8
+	@ruff check
 
 .PHONY: type-check
 type-check:

=== debian/changelog ===
sphinxcontrib-htmlhelp (2.1.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 13 Aug 2024 12:11:48 +0200

sphinxcontrib-htmlhelp (2.1.0-1~0exp0) experimental; urgency=medium

  * Team upload.
  * d/watch: remove uupdate reference
  * d/gbp.conf: document branch layout
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * d/patches: drop reproducible_build.patch, it is no longer needed
  * d/upstream/metadata: add issue tracker

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 12 Aug 2024 12:49:31 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,14 @@
 Uploaders: Joseph Nahmias <jello@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-setuptools,
  python3-docutils <!nocheck>,
  python3-sphinx <!nocheck>,
-Standards-Version: 4.6.1
+ flit,
+ pybuild-plugin-pyproject
+Standards-Version: 4.6.2
 Homepage: https://github.com/sphinx-doc/sphinxcontrib-htmlhelp
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinxcontrib-htmlhelp
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinxcontrib-htmlhelp.git

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 export PYBUILD_NAME=sphinxcontrib.htmlhelp
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%sphinxcontrib-htmlhelp-$1.tar.gz%" \
   https://github.com/sphinx-doc/sphinxcontrib-htmlhelp/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
